Change SIM state (batch)
Create a batch job to change the state of a large set of SIMs using the device ID for each SIM. Accepts device IDs directly or a bulk filter criteria. Returns a list of tasks for the batch runner.
Authorizations
Body
- Option 1
- Option 2
Top-level parameters for bulk device selection via BulkSelection. Explicit deviceids are merged with filter-based selection. Some endpoints require a feature flag (e.g. bulk_rename, bulk_tag) before bulk selection is enabled.
Filter criteria for bulk device selection via BulkSelection. When resolved from the database (default), accepts the same filter fields as GET /devices (e.g. states, tagids, planid). When useSearch is true, also accepts search-index filter fields (e.g. links_cur_billing_data_used).